
/* Chrysalide - Outil d'analyse de fichiers binaires
 * location.h - prototypes pour la constitution des localisations d'instructions courantes
 *
 * Copyright (C) 2012 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  OpenIDA is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  OpenIDA is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _DEBUG_JDWP_MISC_LOCATION_H
#define _DEBUG_JDWP_MISC_LOCATION_H


#include <stdbool.h>


#include "../jdwp_def.h"
#include "../../../arch/archbase.h"


/* Lit une localisation d'instruction courante dans l'exécution. */
bool get_jdwp_location(const bin_t *, off_t *, off_t, const jdwp_cmd_vm_id_sizes_reply *, jdwp_location *);



#endif  /* _DEBUG_JDWP_MISC_LOCATION_H */
